View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000605Ecere SDKecerepublic2011-09-02 21:192014-05-19 01:32
Reporterjerome 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44.10 64Fixed in Version0.44.10 64 
Summary0000605: Don't insert blank spaces
DescriptionWhen hitting 'enter' at the left of a line, right after indentation, delete indented spaces from the current line so as not to pollute code with invisible spaces.
aka
Highlight and not create Git space errors
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000474)
jerome (administrator)
2011-10-14 05:05

Also have an option to highlight bad spaces.
(0001132)
jerome (administrator)
2013-10-16 02:41
edited on: 2013-10-16 02:42

Also add an option for automatically cleaning up all bad spaces in a file.

For the sake of clarity this includes:
- Spaces before tabs at the start of a line
- Tab/Spaces at the end of a line

(0001219)
jerome (administrator)
2014-04-30 09:15

This has been implemented and improved by various commits:

https://github.com/ecere/ecere-sdk/commit/931660e4b0925388c87e51cbc21b52974f6b65f8 [^]
https://github.com/ecere/ecere-sdk/commit/e17fb2a89ab6a45fdf4e7ed9189004607947ee41 [^]
https://github.com/ecere/ecere-sdk/commit/883c7501e8cc4aafb5ebb55fc0e8bd999f080dde [^]
https://github.com/ecere/ecere-sdk/commit/aa2c3d31c753e1b6e4e3000d9c3edd0371ae37c9 [^]

- Issue History
Date Modified Username Field Change
2011-09-02 21:19 jerome New Issue
2011-10-14 05:05 jerome Note Added: 0000474
2012-03-08 15:44 redj Target Version old 0.44.pre2 => 0.45 Ginkakuji
2012-03-29 07:53 redj Category => Ecere Runtime Library
2012-03-29 07:53 redj Project @1@ => Ecere SDK
2013-04-24 03:22 jerome Target Version 0.45 Ginkakuji => 0.44.1 64
2013-04-24 14:08 redj Description Updated
2013-10-16 02:41 jerome Note Added: 0001132
2013-10-16 02:42 jerome Note Edited: 0001132
2013-10-16 02:45 redj Status new => assigned
2013-10-16 02:45 redj Assigned To => redj
2014-04-30 09:15 jerome Note Added: 0001219
2014-04-30 09:15 jerome Status assigned => resolved
2014-04-30 09:15 jerome Resolution open => fixed
2014-04-30 09:15 jerome Fixed in Version => 0.44.10 64
2014-04-30 09:15 jerome Target Version 0.44.12 Fixes => 0.44.10 64
2014-05-19 01:32 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker